Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362697

Summary: [RFE] 'LDAP Group Look Up' string needs to changed to 'External auth Group Look Up' when auth mode is set to external(httpd)
Product: Red Hat CloudForms Management Engine Reporter: amogh <amavinag>
Component: UI - OPSAssignee: Brian McLaughlin <bmclaugh>
Status: CLOSED CURRENTRELEASE QA Contact: amogh <amavinag>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.6.0CC: cpelland, hkataria, jhardy, mpovolny, obarenbo, simaishi
Target Milestone: GAKeywords: FutureFeature, TestOnly, ZStream
Target Release: 5.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: auth:external_auth:webui
Fixed In Version: 5.7.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1363754 (view as bug list) Environment:
Last Closed: 2017-01-11 19:59:37 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1363754    
Attachments:
Description Flags
retrieve_user_groups
none
amazon_lookup
none
ext_auth_lookup
none
ldaps_lookup none

Description amogh 2016-08-02 21:55:49 UTC
Created attachment 1186905 [details]
retrieve_user_groups

Description of problem:
'LDAP Group Look Up' string needs to changed to 'external auth Group Look Up' when auth mode is set to external(httpd), as the external auth could be ldaps, ipa, AD, etc..

Version-Release number of selected component (if applicable):
5.6.1.0.20160726144018_810a94f

How reproducible:
always.

Steps to Reproduce:
1. Login as admin and change the auth mode to "External Auth(httpd)"
2. navigate to Groups->Add new group, Observe that the check box text is set to "(Look Up LDAP Groups)", it would be nice if that is changed to "(Look Up external auth groups)"
3. Observe that text field "LDAP Group Look Up" in the same page. when auth mode is changed to external auth, this field may needs to be updated to "external auth Groups Look Up".

Actual results:
when auth mode is external auth(httpd), user Group look up fields displayed as "Look Up LDAP Groups".

Expected results:
Update the UI fields in "add user groups" page with correct auth mode.

Comment 4 CFME Bot 2016-08-16 02:10:53 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/02b920024b96c00c49ef58bf597b03dcbe5bca4d

commit 02b920024b96c00c49ef58bf597b03dcbe5bca4d
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Fri Aug 12 15:52:45 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Mon Aug 15 20:25:58 2016 -0400

    Fix checkbox and string appearing incorrectly when adding new Group
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1362697

 app/helpers/application_helper.rb                  | 15 ++++++++
 app/views/ops/_rbac_group_details.html.haml        | 11 +++---
 .../ops/_rbac_group_details.html.haml_spec.rb      | 45 ++++++++++++++++++++++
 3 files changed, 66 insertions(+), 5 deletions(-)
 create mode 100644 spec/views/ops/_rbac_group_details.html.haml_spec.rb

Comment 5 CFME Bot 2016-08-16 02:10:57 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bc5ecd0e740c57fcd367314f5408541ca015a825

commit bc5ecd0e740c57fcd367314f5408541ca015a825
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Mon Aug 15 14:20:15 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Mon Aug 15 20:25:58 2016 -0400

    Spec tests
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1362697

 spec/helpers/application_helper_spec.rb            | 12 +++++++++
 .../ops/_rbac_group_details.html.haml_spec.rb      | 29 ++++++++++++++--------
 2 files changed, 31 insertions(+), 10 deletions(-)

Comment 6 CFME Bot 2016-08-16 02:11:01 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/d534e44bdb817dc698e191a3bd744704f1cd4c8b

commit d534e44bdb817dc698e191a3bd744704f1cd4c8b
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Mon Aug 15 16:44:55 2016 -0400
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Mon Aug 15 20:25:58 2016 -0400

    miq-bot style corrections
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1362697

 app/views/ops/_rbac_group_details.html.haml          |  2 +-
 spec/helpers/application_helper_spec.rb              |  2 +-
 spec/views/ops/_rbac_group_details.html.haml_spec.rb | 20 +++++++++-----------
 3 files changed, 11 insertions(+), 13 deletions(-)

Comment 7 amogh 2016-10-06 01:26:58 UTC
verified in 5.7.0.3.20160927165516_075d0f3. Issue is not reproducible.

Comment 8 amogh 2016-10-06 01:27:45 UTC
Created attachment 1207749 [details]
amazon_lookup

Comment 9 amogh 2016-10-06 01:28:41 UTC
Created attachment 1207750 [details]
ext_auth_lookup

Comment 10 amogh 2016-10-06 01:29:21 UTC
Created attachment 1207751 [details]
ldaps_lookup